# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/8/31
import datetime
import os
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from shipinhao.shipinhao_recommend import Recommend


class Main:
    @classmethod
    def main(cls, env):
        while True:
            if 16 >= datetime.datetime.now().hour >= 10:
                Recommend.run_recommend('recommend', env)
                Common.del_logs('recommend')
                Common.logger('recommend').info('休眠{}小时\n', 24 - datetime.datetime.now().hour)
                Recommend.download_cnt = []
                time.sleep(3600 * (24 - datetime.datetime.now().hour))
            else:
                pass


if __name__ == '__main__':
    Main.main('prod')
